Bug 1023601 - Review Request: ghc-aeson-pretty - JSON pretty-printing library and command-line tool
Review Request: ghc-aeson-pretty - JSON pretty-printing library and command-l...
Status: CLOSED DUPLICATE of bug 1058174
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
NotReady
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-25 18:18 EDT by Ricky Elrod
Modified: 2014-01-27 02:29 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-27 02:26:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ricky Elrod 2013-10-25 18:18:13 EDT
Spec URL: http://codeblock.fedorapeople.org/packages/aeson-pretty/aeson-pretty.spec
SRPM URL: http://codeblock.fedorapeople.org/packages/aeson-pretty/aeson-pretty-0.7-1.fc20.src.rpm
Description:
A JSON pretty-printing library compatible with aeson as well as a command-line
tool to improve readabilty of streams of JSON data.

The /library/ provides the function "encodePretty". It is a drop-in replacement
for aeson's "encode" function, producing JSON-ByteStrings for human readers.

The /command-line tool/ reads JSON from stdin and writes prettified JSON to
stdout. It also offers a complementary "compact"-mode, essentially the opposite
of pretty-printing.

Fedora Account System Username: codeblock
Comment 1 Jens Petersen 2013-10-26 07:52:32 EDT
Any idea how important the tool is?

Just wonder if it would be better to call this ghc-aeson-pretty?
Comment 2 Jens Petersen 2013-10-26 07:53:47 EDT
(Actually lately I have been pondering on the frightening idea
of renaming all the Haskell src packages to hackage-*! ;-)
Comment 3 Ricky Elrod 2013-10-26 12:38:18 EDT
I'm fine with calling this ghc-aeson-pretty (or hackage-aeson-pretty :P). aeson-pretty is what cblrpm defaulted to on this though.

Should I just combine the subpackage it made (ghc-aeson-pretty) and the base package (aeson-pretty) into ghc-aeson-pretty?
Comment 4 Jens Petersen 2013-10-27 07:46:37 EDT
You can use "cblrpm -l spec" to force a BinLib package to become Lib.
Comment 5 Jens Petersen 2013-10-27 07:48:32 EDT
(Hmm perhaps cblrpm should just default all package with a library to be called ghc-*.  I might do that in the next release.)
Comment 6 Jens Petersen 2013-10-27 08:47:36 EDT
Sorry I see I didn't answer your actual question:

> Should I just combine the subpackage it made (ghc-aeson-pretty) and the base
> package (aeson-pretty) into ghc-aeson-pretty?

Hmm it probably depends on the use case of the executable.
For some packages we put the program into the devel package
because that made sense.  Another approach if it doesn't make
sense to do that or to exclude the program, might also be
to subpackage it as aeson-pretty.  (Typically for libraries that
include some test/demo program we just remove it completely.)

(Other previous examples include highlighting-kate (rename review submitted)
and ghc-derive (already renamed!).)
Comment 7 Jens Petersen 2014-01-22 00:33:30 EST
This package is needed for pandoc-citeproc.

Do you want to update this?
Otherwise I can start a new review.
Comment 8 Jens Petersen 2014-01-27 02:26:02 EST

*** This bug has been marked as a duplicate of bug 1058174 ***

Note You need to log in before you can comment on or make changes to this bug.